<?php
include('styles/globalheader.php');
include('config/config_main.php');

if (!empty($_POST['whichyear'])) {
    $whichyear = $_POST['whichyear'];
} else {
    $whichyear = date("Y");
}
if (!empty($_POST['met_num'])) {
    $met_num = $_POST['met_num'];
} else {
    $met_num = 1;
}


$output = array();
$dir    = 'data/meters/';
$output = glob($dir . "*.csv");
if (is_array($output)) {
sort($output);
}
$cnt = count($output);

$yearlist = array();
$metlist  = array();

if ($cnt > 1) {

echo "
<table width='95%' border=0 align=center cellpadding=8>
<tr><td>
<form method='POST' action='indexreadings.php'>
";
for ($i = 0; $i < $cnt; $i++) {
    $year = substr($output[$i], -8, 4);
    if (!in_array($year, $yearlist)) {
        array_push($yearlist, $year);
    }
    $output[$i] = str_replace("$dir", '', "$output[$i]");
    $metname    = substr($output[$i], 0, -8);
    
    if (!in_array($metname, $metlist)) {
        array_push($metlist, $metname);
    }
}
rsort($yearlist);
sort($metlist);
$cnt = count($yearlist);

echo "$lgCHOOSEDATE:
<select name='whichyear' onchange='this.form.submit()'>";
$newy = date('dm');
if ($cnt == 0 || $newy == '0101') {
    $newy = date('Y');
    echo "<option>$newy</option>";
}

for ($i = 0; $i < $cnt; $i++) {
    if ($whichyear == $yearlist[$i]) {
        echo "<option SELECTED>";
    } else {
        echo "<option>";
    }
    echo "$yearlist[$i]</option>";
}
echo "</select> ";

$cnt = count($metlist);

if (!empty($_POST['meter'])) {
    $meter = $_POST['meter'];
} else {
    if (isset($metlist[0])) {
        $meter = $metlist[0];
    }
}

echo "<select name='meter' onchange='this.form.submit()'>";
for ($i = 0; $i < $cnt; $i++) {
    if ($meter == $metlist[$i]) {
	$met_num = substr($metlist[$i], 0, 1);
	echo "<option value='$metlist[$i]' SELECTED>";
    } else {
	echo "<option value='$metlist[$i]'>";
    }
    $metname = substr($metlist[$i], 1);
    echo "$metname</option>";
}
echo "</select> 
<input type='hidden' name='met_num' value=$met_num>
</form>
";
include('config/config_met' . $met_num . '.php');
?>

</td></tr>
</table>

<script type="text/javascript">
  
$(document).ready(function() {
  f1 = function(t) {
    return Highcharts.dateFormat('%b', t.value);
  }
    
Highcharts.setOptions({
global: {useUTC: false},
lang: {
decimalPoint: '<?php
echo $DPOINT;
?>',
thousandsSep: '<?php
echo $THSEP;
?>',
months: ['<?php
for ($i = 1; $i < 12; $i++) {
    echo "$lgMONTH[$i]','";
}
echo $lgMONTH[12];
?>'],
shortMonths: ['<?php
for ($i = 1; $i < 12; $i++) {
    echo "$lgSMONTH[$i]','";
}
echo $lgSMONTH[12];
?>'],
weekdays: ['<?php
for ($i = 1; $i < 7; $i++) {
    echo "$lgWEEKD[$i]','";
}
echo $lgWEEKD[7];
?>']
}
});
  
var colors = Highcharts.getOptions().colors;
data = [];
  
function setChart(name, data, color, xAxis) {
   chart.series[0].remove();
  f1 = xAxis ?
    function(t) {
      return Highcharts.dateFormat('%a %d %b', t.value);
    } : function(t) {
      return Highcharts.dateFormat('%b', t.value);
    }
   chart.addSeries({
     name: name,
     xAxis: 0,
     data: data,
     color: color || 'white'
   });
}
      
    var options = {
        chart: {
                renderTo: 'container',
                type: 'column',
                backgroundColor: null
            },
            subtitle: {text: '<?php
echo "$lgCONSUSUBTITLE";
?>'},
            xAxis: {
            type: 'datetime',
            labels: {
                formatter: function() {
                    return f1(this);
                   }
               }
            },
            yAxis: {
    min: 0,
    minPadding: 0,
                title: {text: '<?php
echo "${'UNIT'.$met_num}";
?>'}
            },
          plotOptions: {
            series: {pointInterval: 24 * 3600 * 1000,minPointLength: 3},
                column: {
                    cursor: 'pointer',
                    point: {
                        events: {
                            click: function() {
                                var drilldown = this.drilldown;
                                if (drilldown) {
                                  drilldown.name = Highcharts.getOptions().lang.months[drilldown.month] + ' ' + <?php
echo $whichyear;
?>+ ' ('+ drilldown.conso_m + drilldown.money_m + ')';
                                  chart.setTitle({text: drilldown.name }, { text : '<?php
echo "$lgCONSUSUBTITLE2";
?>'});
                                  setChart(drilldown.name, drilldown.data, drilldown.color, drilldown.xAxis);
                                } else {
                                    chart.setTitle({text: chart.name}, { text : '<?php
echo "$lgCONSUSUBTITLE";
?>'}); 
                                    setChart(name, options.series[0].data);
                                }
                           }
                        }
                    },
                    dataLabels: {
                        enabled: true,
                        color: colors[0],
                        style: {
                            fontWeight: 'bold'
                        },
                        formatter: function() {
                          if (this.y>0) {
                          <?php
						  if (${'TYPE'.$met_num}=='Elect') { 
echo "return Highcharts.numberFormat(this.y,1);";
						  } else {
echo "return Highcharts.numberFormat(this.y,'${'PRECI'.$met_num}');";
							}
?>
                            } else {
                            return Highcharts.numberFormat(this.y,0);
                            }
                        }
                    }
                }
            },
        tooltip: {
            formatter: function() {
<?php
echo "		var point = this.point;
		if (point.drilldown) {";

if (${'TYPE'.$met_num}=='Elect') { 
	echo  "
					s = '<b>'+ Highcharts.dateFormat('%b', this.x) + ': '+ Highcharts.numberFormat(this.y, 3) +' k${'UNIT'.$met_num}</b>'";
	if (${'PRICE'.$met_num} >0 ) {
	echo " + ' (' + Highcharts.numberFormat((this.y*1000*${'PRICE'.$met_num}),1) + '$CURS)'";
	}				
	echo ";
			} else {
					s = '<b>'+ Highcharts.dateFormat('%A %e %b', this.x) + ': '+ Highcharts.numberFormat(this.y,3) +' k${'UNIT'.$met_num}</b>'";
	if (${'PRICE'.$met_num} >0 ) {
	echo " + ' (' + Highcharts.numberFormat((this.y*1000*${'PRICE'.$met_num}),1) + '$CURS)'";
	}
} else {
	echo  "
					s = '<b>'+ Highcharts.dateFormat('%b', this.x) + ': '+ Highcharts.numberFormat(this.y,'${'PRECI'.$met_num}') +' ${'UNIT'.$met_num}</b>'";
	if (${'PRICE'.$met_num} >0 ) {
	echo " + ' (' + Highcharts.numberFormat((this.y*${'PRICE'.$met_num}),1) + '$CURS)'";
	}				
	echo ";
			} else {
					s = '<b>'+ Highcharts.dateFormat('%A %e %b', this.x) + ': '+ Highcharts.numberFormat(this.y,'${'PRECI'.$met_num}') +' ${'UNIT'.$met_num}</b>'";
	if (${'PRICE'.$met_num} >0 ) {
	echo " + ' (' + Highcharts.numberFormat((this.y*${'PRICE'.$met_num}),1) + '$CURS)'";
	}
}
				
echo ";
		}
		return s;
";
?>
            }
          },
  exporting: {
  filename: 'meterN-chart',
  width: 1200
  },
  legend: {
  enabled: false
  },
  credits: {
  enabled: false
  },
  series: [{
  name: name,
  data: data,
  color: 'white'}]
 };
<?php
$destination = "programs/programreadings.php";
$meter       = "$meter$whichyear.csv";
echo "
var meter = '$meter';
$.getJSON('$destination', { meter: meter }, function(JSONResponse) {
  options.series[0].data = JSONResponse.data;
  chart = new Highcharts.Chart(options);
  conso_y = JSONResponse.conso_y;
  money_y = JSONResponse.money_y;
  chart.name= '${'METNAME'.$met_num} $lgCONSUTITLE $whichyear ('+ conso_y + money_y +')';
  chart.setTitle({ text: chart.name});
  chart.hideLoading();
});
});";

echo "
</script>";
} else {
echo '<br>No data';
}
echo "
<table width='100%' border=0 align=center cellpadding=0>
<tr><td><div id='container' style='width: 95%; height: 450px'></div></td></tr>
</table>
";

include("styles/" . $user_style . "/footer.php");
?>
